# include/Makefile.in
#
# written by matthew green.
# adapted by scott reynolds, 04-sep-95
#
# Copyright (c) 1995 Scott Reynolds.
# Copyright (c) 1993, 1995, 2004 Matthew R. Green.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# @(#)$eterna: Makefile.in,v 1.7 2004/01/06 05:42:10 mrg Exp $

srcdir = @srcdir@

CC	= @CC@
LDFLAGS	= @LDFLAGS@
LEX	= @LEX@
LEXLIB	= @LEXLIB@
RM	= @RM@

default: headers

# .h files generated from .proto files

count: count.c
	$(CC) $(LDFLAGS) -o count -O count.c $(LEXLIB)

count.c: $(srcdir)/count.l
	rm -f count.c
	$(LEX) $(srcdir)/count.l
	mv -f lex.yy.c count.c

clena: clean

clean::
	$(RM) count count.c lex.yy.c

$(srcdir)/vars.h: $(srcdir)/vars.h.proto count
	-$(RM) $@
	./count < $@.proto > $@

$(srcdir)/hook.h: $(srcdir)/hook.h.proto count
	-$(RM) $@
	./count < $@.proto > $@

$(srcdir)/keys.h: $(srcdir)/keys.h.proto count
	-$(RM) $@
	./count < $@.proto > $@

headers: $(srcdir)/vars.h $(srcdir)/hook.h $(srcdir)/keys.h
